Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deegree.ogcwebservices.wfs.operation.transaction
Enum Insert.ID_GEN

    java.lang.Object
      java.lang.Enum<Insert.ID_GEN>
          org.deegree.ogcwebservices.wfs.operation.transaction.Insert.ID_GEN

All Implemented Interfaces:
  Serializable, Comparable<Insert.ID_GEN>

Enclosing class:
  Insert

    public static enum Insert.ID_GEN

extends Enum<Insert.ID_GEN>

Generation strategies for feature ids.

Enum Constant Summary
`GENERATE_NEW` Always generate new feature ids.
`REPLACE_DUPLICATE` Use provided feature ids, generate new id if feature with same id already exists.
`USE_EXISTING` Use provided feature ids.

Method Summary
`static Insert.ID_GEN` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Insert.ID_GEN[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### USE_EXISTING

    public static final Insert.ID_GEN USE_EXISTING

  Use provided feature ids.

### REPLACE_DUPLICATE

    public static final Insert.ID_GEN REPLACE_DUPLICATE

  Use provided feature ids, generate new id if feature with same id already exists.

### GENERATE_NEW

    public static final Insert.ID_GEN GENERATE_NEW

  Always generate new feature ids.

Method Detail

### values

    public static final Insert.ID_GEN[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Insert.ID_GEN c : Insert.ID_GEN.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Insert.ID_GEN valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org